import { error } from "console";


export function throwIf(conditionFunction: () => boolean, errorMessage: string): void {
    if (conditionFunction())
        throw new Error(errorMessage);
}


export function throwNotYetImplemented(nameOfThingNotImplemented: string) {
    throw new Error(`${nameOfThingNotImplemented} has not yet been implemented.`)
}